## efl 1.24.1

=== meson_options.txt ===
option('audio',
  type : 'boolean',
  value : true,
  description : 'Audio support in efl'
)

option('avahi',
  type : 'boolean',
  value : false,
  description : 'Avahi (zeroconf) support in efl'
)

option('x11',
  type : 'boolean',
  value : true,
  description : 'X11 support in efl'
)

option('fb',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbocon) support in efl'
)

option('sdl',
  type : 'boolean',
  value : false,
  description : 'SDL support in efl'
)

option('wl',
  type : 'boolean',
  value : false,
  description : 'Wayland client support in efl'
)

option('buffer',
  type : 'boolean',
  value : false,
  description : 'Generic graphics buffer API support in efl'
)

option('drm',
  type : 'boolean',
  value : false,
  description : 'DRM/KMS advanced framebuffer/console support in efl'
)

option('cocoa',
  type : 'boolean',
  value : false,
  description : 'Apple MacOS cocoa support in efl'
)

option('physics',
  type : 'boolean',
  value : false,
  description : 'Physics engine (bullet) in efl'
)

option('eeze',
  type : 'boolean',
  value : true,
  description : 'Device abstraction (udev wrapper) in efl'
)

option('opengl',
  type : 'combo',
  choices : ['full', 'es-egl', 'none'],
  value : 'es-egl',
  description : 'Type of OpenGL support in efl'
)

option('build-id',
  type : 'string',
  value : 'none',
  description : 'The build id string for efl set as the EFL_BUILD_ID define')

option('eina-magic-debug',
  type : 'boolean',
  value : true,
  description : 'Magic number checking of eina structures in efl'
)

option('debug-threads',
  type : 'boolean',
  value : false,
  description : 'Thread debugging in efl'
)

option('build-examples',
  type : 'boolean',
  value : true,
  description : 'Compile examples'
)

option('build-tests',
  type : 'boolean',
  value : true,
  description : 'Compile tests'
)

option('crypto',
  type : 'combo',
  choices : ['gnutls', 'openssl'],
  value : 'openssl',
  description : 'Which SSL Crypto library used in efl'
)

option('glib',
  type : 'boolean',
  value : false,
  description : 'Main loop integration for glib in efl'
)

option('g-mainloop',
  type : 'boolean',
  value : false,
  description : 'Use glib to run the main loop in efl'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'GStreamer support in efl'
)

option('systemd',
  type : 'boolean',
  value : true,
  description : 'Systemd support in efl'
)

option('pulseaudio',
  type : 'boolean',
  value : true,
  description : 'Pulseaudio support for audio API'
)

option('network-backend',
  type : 'combo',
  choices : ['connman', 'none'],
  value : 'none',
  description : 'Connman support in efl'
)

option('xpresent',
  type : 'boolean',
  value : false,
  description : 'X11 XPresent extension support in efl'
)

option('xinput2',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.0+ support in efl'
)

option('xinput22',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.2+ support in efl'
)

option('tslib',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbcon) touchscreen tslib support in efl'
)

option('eject-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the eject binary, if "detect" internal eeze bins are used'
)

option('mount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the mount binary, if "detect" internal eeze bins are used'
)

option('unmount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the unmount binary, if "detect" internal eeze bins are used'
)

option('evas-loaders-disabler',
  type : 'array',
  description : 'List of modular image/vector loaders to disable in efl',
  choices : ['gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json'],
  value : ['json']
)

option('ecore-imf-loaders-disabler',
  type : 'array',
  description : 'List of input methods to disable in efl',
  choices : ['xim', 'ibus', 'scim'],
  value : ['ibus']
)

option('harfbuzz',
  type : 'boolean',
  value : true,
  description : 'Harfbuzz (complex text layout library) support in efl'
)

option('fribidi',
  type : 'boolean',
  value : true,
  description : 'Fribidi (right to left text layout library) support in efl'
)

option('fontconfig',
  type : 'boolean',
  value : true,
  description : 'Fontconfig (system font database) support in efl'
)

option('edje-sound-and-video',
  type : 'boolean',
  value : true,
  description : 'disable sound and video for edje'
)

option('pixman',
  type : 'boolean',
  value : false,
  description : 'Pixman software renderer support in efl'
)

option('hyphen',
  type : 'boolean',
  value : false,
  description : 'Hyphen text layout support in efl'
)

option('embedded-lz4',
  type : 'boolean',
  value : true,
  description : 'Use the embedded in-tree zlib r131 release instead of system zlib'
)

option('libmount',
  type : 'boolean',
  value : true,
  description : 'Libmount support for device mounting in efl'
)

option('vnc-server',
  type : 'boolean',
  value : false,
  description : 'VNS server support in efl for multiseat testing'
)

option('v4l2',
  type : 'boolean',
  value : true,
  description : 'Video v4l2 support'
)

option('elua',
  type : 'boolean',
  value : true,
  description : 'Lua launcher binary support in efl'
)

option('wl-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated wayland support in efl'
)

option('drm-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated DRM/KMS support in efl'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Localization'
)

option('bindings',
  type : 'array',
  choices : ['luajit', 'cxx', 'mono'],
  value : ['luajit', 'cxx'],
  description : 'Which auto-generated language bindings for efl to enable',
)

option('mono-beta',
  type: 'boolean',
  value: false,
  description: 'Mono/C# @beta Eo methods enabled in the efl'
)

option('dotnet-stylecop',
  type: 'string',
  description: 'Dotnet StyleCop checks. Use * for all, or use comma listed: -Ddotnet-stylecop=ca1062,CA1032, sa0001, SA0002, cA2225'
)

option('dotnet-stylecop-severity',
  type: 'combo',
  choices: ['Warning', 'Error'],
  value: 'Warning',
  description: 'Dotnet StyleCop checks cause compilation errors or just warnings'
)

option('mono-examples-dir',
  type: 'string',
  value: '',
  description: 'Where eolian_mono will search for examples to embed into the documentation'
)

option('dotnet',
  type: 'boolean',
  value: false,
  description: 'Enable building C# bindings with dotnet instead of mono'
)

option('lua-interpreter',
  type: 'combo',
  choices: ['luajit', 'lua'],
  value: 'luajit',
  description: 'Which Lua back-end library to use in efl'
)

option('native-arch-optimization',
  type: 'boolean',
  value: true,
  description: 'Enable architecture native optimizations in efl'
)

option('elogind',
  type : 'boolean',
  value : false,
  description : 'elogind support in efl (subset of systemd)'
)

option('windows-version',
  type : 'combo',
  choices : ['vista', 'win7', 'win8', 'win81', 'win10'],
  value : 'win7',
  description : 'When on Windows, compile efl with the specified Windows version'
)

option('dictionaries-hyphen-dir',
  type : 'string',
  value : '/usr/share/hyphen/',
  description : 'The path to the hyphen dictionaries directory'
)

option('elementary-base-dir',
  type : 'string',
  value : '.elementary',
  description : 'The name of the directory for user supplied elementary data files like themes, config files'
)

option('install-eo-files',
  type: 'boolean',
  value: true,
  description : 'Install any eo file'
)

option('mono-friend-assemblies',
  type : 'array',
  value : [],
  description : 'List of friend assemblies that can access efl_mono assembly\'s internal types and members.'
)

=== debian/changelog ===
efl (1.24.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Jul 2020 08:04:27 -0700

efl (1.24.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop symbols removed from 1.24.1 release
  * Bump eo symbol versions for 1.24.1 release
  * libefl-all-dev: update lintian override for changing version

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 13 May 2020 22:47:29 -0700

efl (1.24.0-2) experimental; urgency=medium

  * Fix FTBFS on non-luajit arches

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 11 May 2020 20:20:43 -0700

efl (1.24.0-1) experimental; urgency=medium

  * d/patches:
    + 15_try_curl-gnutls.diff: defuzz
    + 20_disable_doxygen_timestamps.diff: defuzz
    + 25_edje_check_luaold.diff: drop, applied upstream
    + 45_disable_doc_pack.diff: adapt to new release
    + 99-fix-shader-regen.diff: adapt to new release
    + 000*.patch: drop, applied upstream
  * d/control: Build-Depend on libopenjp2-7-dev
  * Drop ibus support. Upstream has changed the default to xim+scim due to ibus
    not working
  * d/rules: drop 3d shader rebuild, upstream has removed evas3d
  * libelocation1: drop, library was removed upstream
  * libephysics1: drop, upstream is disabling this default moving forward
  * libecore-avahi1: drop, upstream is disabling by default
  * libemotion-players: drop, upstream has removed support for xine/vlc.
    All emotion playback now must use the gstreamer1 interface.
  * efl-wl has been renamed efl-canvas-wl
  * Cleanup symbols dropped from 1.24.0 release
  * Add new symbols from 1.24.0 release
  * Bump eo symbol versions for 1.24.0 release
  * libefl-all-dev: distribute exactness, a new testing tool for EFL apps
  * libelementary-bin: add missing elementary_perf.desktop file
  * libefl-all-dev: install eo files.
    Upstream now considers this format stable enough to distribute the eo
    definitions.
  * adjust libevas1.lintian-overrides for 1.24
  * Add Breaks for deprecated libevas-bin
  * d/gbp.conf: enable ignore-branch to make future switching between sid and
    experimental easier.
  * Update cme config and copyright information

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 09 May 2020 00:29:53 -0700

=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders:
 Albin Tonnerre <lutin@debian.org>,
 Ross Vandegrift <rvandegrift@debian.org>,
 Andreas Metzler <ametzler@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libblkid-dev [linux-any],
 libcurl4-gnutls-dev,
 libdbus-1-dev,
 libedje-bin <cross>,
 libeet-bin <cross>,
 libelementary-bin <cross>,
 libeolian-bin <cross>,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgbm-dev,
 libgcrypt-dev,
 libgif-dev,
 libgles2-mesa-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libharfbuzz-dev,
 libinput-dev,
 libjpeg-dev,
 liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
 libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
 liblz4-dev,
 libmount-dev [linux-any],
 libopenjp2-7-dev,
 libpixman-1-dev,
 libpng-dev,
 libpoppler-cpp-dev,
 libpulse-dev,
 libraw-dev,
 librsvg2-dev,
 libscim-dev,
 libsndfile-dev,
 libspectre-dev,
 libsystemd-dev,
 libtiff-dev,
 libudev-dev [linux-any],
 libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libvlc-dev,
 libwayland-dev,
 libwebp-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-image0-dev,
 libxcb-shm0-dev,
 libxcb1-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxss-dev,
 libxtst-dev,
 mesa-common-dev,
 meson,
 pkg-config,
 systemd,
 wayland-protocols,
 x11proto-xext-dev,
 zlib1g-dev,
Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: libeina1a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libeina0, libeina1
Breaks:
 libecore-avahi1 (<= 1.23.3-8),
 libecore-bin (<= ${source:Upstream-Version}),
 libedje-bin (<= ${source:Upstream-Version}),
 libeet-bin (<= ${source:Upstream-Version}),
 libeet1 (<= 1.4.0~beta+1.4.0),
 libeeze-bin (<= ${source:Upstream-Version}),
 libefreet-bin (<= ${source:Upstream-Version}),
 libeina-bin (<= ${source:Upstream-Version}),
 libeina1 (<= 1.18.1-2),
 libelementary-bin (<= ${source:Upstream-Version}),
 libelementary-data (<= ${source:Upstream-Version}),
 libelocation1 (<= 1.23.3-8),
 libelua-bin (<= ${source:Upstream-Version}),
 libembryo-bin (<= ${source:Upstream-Version}),
 libemotion-players (<= 1.23.3-8),
 libeolian-bin (<= ${source:Upstream-Version}),
 libephysics1 (<= 1.23.3-8),
 libethumb-client-bin (<= ${source:Upstream-Version}),
 libevas-loaders (<= ${source:Upstream-Version}),
 libevas-bin (<= 1.21.1-5),
 libevas1-engines-drm (<= ${source:Upstream-Version}),
 libevas1-engines-fb (<= ${source:Upstream-Version}),
 libevas1-engines-wayland (<= ${source:Upstream-Version}),
 libevas1-engines-x (<= ${source:Upstream-Version}),
Description: EFL optimized data types
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeina-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL optimized data types - extra tools
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains some additional tools that may be useful for
 debugging eina issues.

Package: libeet1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL file chunk reading/writing
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeet-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL file chunk reading/writing - utilities
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libevas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libevas1-engines-x | libevas1-engine,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libevas-loaders,
 libevas1-engines-drm,
 libevas1-engines-fb,
 libevas1-engines-wayland,
 libevas1-engines-x,
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL advanced canvas library
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the core library and a set of image loaders
 and/or savers for various formats: eet, gif, jpeg, png, svg, tiff and
 xpm

Package: libevas1-engines-x
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
Description: Evas module providing the X11 engines
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engines-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines-extras, libevas1-engine-fb
Provides: libevas1-engine
Description: Evas module providing the Framebuffer engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the framebuffer Evas engine module.

Package: libevas1-engines-drm
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the DRM engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the DRM-related Evas engine modules.

Package: libevas1-engines-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the Wayland engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the Wayland-related Evas engine modules.

Package: libecore1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL core abstraction layer
 Ecore is a library of convenience functions. It provides abstractions
 for handling timers selections, Xdnd, event loops, and much
 more. Much of Ecore's functionality is implemented in external
 modules.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libecore-audio1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Ecore functions for audio playback and recording
 Ecore is a library of convenience functions. It provides abstractions
 for handling timers selections, Xdnd, event loops, and much
 more. Much of Ecore's functionality is implemented in external
 modules.
 .
 This package contains the Ecore wrapper and convenience functions for
 audio playback and recording.

Package: libecore-con1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libecore-bin (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Ecore functions for network connections
 Ecore is a library of convenience functions. It provides abstractions

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# -O3 is used by default with the meson build.  -O2 triggers cxx weak
# -symbols in libephysics1 that shouldn't be there.
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
	lua_flags = -Dlua-interpreter=lua -Delua=false
	dhinstallflags += --exclude=elua
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel))
	arch_flags += -Dnative-arch-optimization=false
endif
LETSBUILDINDEP := $(shell if dh_listpackages | grep -q efl-doc ; then \
	echo yes ;\
	else echo no ; fi)

ifeq (linux,$(DEB_HOST_ARCH_OS))
	fb_flags += -Dfb=true
endif

%:
	dh $@

override_dh_auto_configure:
# cross-builds need host eolian_gen, but ensure the versions match
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W libedje-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeet-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libelementary-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeolian-bin`" = "$(DEB_VERSION)"
endif

	dh_auto_configure --verbose -- \
		-Dcrypto=gnutls \
		-Dtslib=false \
		-Dembedded-lz4=false \
		-Devas-loaders-disabler=json \
		-Dbindings=luajit \
		-Dnetwork-backend=none \
		-Dwl=true \
		-Ddrm=true \
		-Dbuild-tests=false \
		$(arch_flags) \
		$(fb_flags) \
		$(lua_flags)

override_dh_auto_build:
	# ensure shaders are rebuilt from sources
	find -name '*shader*.x' -exec rm {} \;
	cd src && lib/ector/gl/shader/gen_shaders.sh
	cd src && modules/evas/engines/gl_common/shader/gen_shaders.sh

	$(CURDIR)/debian/fake_home.sh env \
		dh_auto_build --verbose
ifeq ($(filter yes,$(LETSBUILDINDEP)),yes)
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
endif

override_dh_auto_build-indep:
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc

override_dh_install:
	dh_install $(dhinstallflags)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -plibefl-all-dev $(dhinstallflags) \
		usr/lib/*/libecore_fb.so
endif
	# remove unused file, fail otherwise
	rm -f obj-$(DEB_HOST_GNU_TYPE)/html/jquery.js
	if grep -qr jquery.js obj-$(DEB_HOST_GNU_TYPE)/html/ ; \
		then echo jquery is used ; false ; fi
	# this is shipped under /usr/share/docs
	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_clean:
	dh_clean
	find -name '*.luac' -exec rm {} \;

override_dh_installexamples:
	dh_installexamples -X.gitignore -XVera.ttf

override_dh_auto_test-indep:

override_dh_auto_test-arch:

override_dh_installman:
	dh_installman
	dh_installman -pefl-doc --sourcedir obj-$(DEB_HOST_GNU_TYPE)

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## efl 1.24.3

=== debian/changelog ===
efl (1.24.3-5) unstable; urgency=medium

  * Upload to unstable, no further changes.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 10 Aug 2020 21:56:02 -0700

efl (1.24.3-4) experimental; urgency=medium

  * Fix incorrect changelog entry.
    Thanks to Adrian Bunk
  * d/control: remove hurd-*, kfreebsed-* from elua packages arch list.
    This was missed in the last change disabling non-linux builds.
  * libefl-all-dev: add missing symbols file for exactness debug tool

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 30 Jul 2020 19:47:44 -0700

efl (1.24.3-3) experimental; urgency=medium

  * Upload to experimental (Closes: #957169)
  * Add libevas1-engines-wayland Breaks enlightenment << 0.24 to ensure
    smooth upgrades when 1.24 enters unstable.
  * d/rules: BINPKGS needs to be space delimited for filter

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 25 Jul 2020 15:37:21 -0700

efl (1.24.3-2) experimental; urgency=medium

  * d/rules:
    + avoid trying to install elua files when not building elua.  Fixes FTBFS
    on arm64, s390x.
    + d/rules: adapt efl-doc make condition to use new BINPKG list.
  * Only build on linux.  EFL has required systemd for every release since
    the 1.8 days.  By making this official, libecore_fb no longer requires
    special handling.  Fixes FTBFS on arch all.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 20 Jul 2020 22:51:45 -0700

efl (1.24.3-1) experimental; urgency=medium

  * New upstream release
  * d/patches
    + 0008-build-ensure-we-set-ENABLE_LUA_OLD-*.patch: drop, applied upstream
    + 20_disable_doxygen_timestamps.diff: defuzz
  * d/control: Build-Conflicts on systemctl to workaround #959828
  * add script to validate that eo symbol versions match upstream versions
  * Bump eo symbol versions for 1.24.3 release
  * d/control: bump to compat 13
  * add debian/not-installed so dh_missing can run in fail mode

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 17 Jul 2020 22:22:35 -0700

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,8 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel))
 	arch_flags += -Dnative-arch-optimization=false
 endif
-LETSBUILDINDEP := $(shell if dh_listpackages | grep -q efl-doc ; then \
-	echo yes ;\
-	else echo no ; fi)
+
+BINPKGS := $(shell dh_listpackages | paste -sd " ")
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	fb_flags += -Dfb=true
@@ -38,6 +37,8 @@
 	test "`dpkg-query -f '$${Version}' -W libelementary-bin`" = "$(DEB_VERSION)"
 	test "`dpkg-query -f '$${Version}' -W libeolian-bin`" = "$(DEB_VERSION)"
 endif
+
+	$(CURDIR)/debian/validate_symvers.sh
 
 	dh_auto_configure --verbose -- \
 		-Dcrypto=gnutls \
@@ -61,7 +62,7 @@
 
 	$(CURDIR)/debian/fake_home.sh env \
 		dh_auto_build --verbose
-ifeq ($(filter yes,$(LETSBUILDINDEP)),yes)
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
 endif
 
@@ -70,16 +71,19 @@
 
 override_dh_install:
 	dh_install $(dhinstallflags)
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	dh_install -plibefl-all-dev $(dhinstallflags) \
-		usr/lib/*/libecore_fb.so
-endif
+
 	# remove unused file, fail otherwise
 	rm -f obj-$(DEB_HOST_GNU_TYPE)/html/jquery.js
 	if grep -qr jquery.js obj-$(DEB_HOST_GNU_TYPE)/html/ ; \
 		then echo jquery is used ; false ; fi
 	# this is shipped under /usr/share/docs
 	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README
+
+execute_before_dh_missing:
+ifneq ($(filter libelua1,$(BINPKGS)),libelua1)
+	# upstream installs some elua files even if elua is disabled
+	echo 'usr/share/elua*' >> debian/not-installed
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xmodule.so
@@ -101,11 +105,12 @@
 
 override_dh_installman:
 	dh_installman
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installman -pefl-doc --sourcedir obj-$(DEB_HOST_GNU_TYPE)
+endif
 
 override_dh_installdocs:
 	dh_installdocs
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+endif
